#ifndef __MXFILECHOOSER_H__
#define __MXFILECHOOSER_H__

/**
 * File Name  : mx-filechooser.h
 *
 * Description: Implement initial version of a custom filechooser dialog.
 */

/*
 *
 * mx-filechooser is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * mx-filechooser is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Copyright (C) 2009 Marcel Hendrickx
 * All rights reserved.
 */


//----------------------------------------------------------------------------
// Include Files
//----------------------------------------------------------------------------

#include <gtk/gtk.h>

G_BEGIN_DECLS


//----------------------------------------------------------------------------
// Definitions
//---------------------------------------------------------------------------- 


//----------------------------------------------------------------------------
// Forward Declarations
//----------------------------------------------------------------------------

//----------------------------------------------------------------------------
// Type Declarations
//----------------------------------------------------------------------------

//----------------------------------------------------------------------------
// Global Constants
//----------------------------------------------------------------------------

//----------------------------------------------------------------------------
// Global Variables
//----------------------------------------------------------------------------


//============================================================================
// Public Functions
//============================================================================
// TODO: Doxygen

char *mx_file_chooser_dialog_open(const gchar          *title,
						          GtkWindow            *parent);

char *mx_file_chooser_dialog_save(const gchar          *title,
						          GtkWindow            *parent);

char *mx_file_chooser_dialog_open_bg(const gchar          *title,
						             GtkWindow            *parent,
									 gboolean             *pAttach);

char *mx_file_chooser_dialog_open_pdf_bg(const gchar          *title,
						                 GtkWindow            *parent,
									     gboolean             *pAttach);

char *mx_file_chooser_dialog_open_notes(const gchar          *title,
						                GtkWindow            *parent);

char *mx_file_chooser_dialog_savePDF(const gchar          *title,
						             GtkWindow            *parent);

char *mx_file_chooser_dialog_saveXRI(const gchar          *title,
						             GtkWindow            *parent);

G_END_DECLS

#endif /* __MXFILECHOOSER_H__ */
