#ifndef PDF_SUPPORT_H
#define PDF_SUPPORT_H

#include <gtk/gtk.h>

extern "C"
{
void pdf_init(void);
void pdf_deinit();
void pdf_set_render_mode(int mode);
void pdf_load(char *pdfname);
void pdf_unload();
int pdf_number_pages();
int pdf_page_get_size(int page_nr, double *pWidth, double *pHeight, int *pRotate);
void pdf_page_render(int page_nr, int scaled_width, int scaled_height, double scale, int rotate, GdkPixbuf *pixbuf);

}
#endif
